<main class="viewer__container">
  <div class="viewer__columns">
    <header>
      <lib-pageheader
        [pageTitle]="module?.name"
        [superTitle]="'Onderwijseenheid'"
        [subTitle]="subtitle"
        [buttonText]="'Wijzigen'"
        [buttonImageClass]="'fa fa-edit fa-lg'"
        [actionIsAllowed]="userMayEdit$ | async"
        (action)="onEdit(module?.id)"
      ></lib-pageheader>
    </header>

    <nav>
      <lib-actions [actionsGroup]="actions"></lib-actions>

      <div *ngIf="module.administrativeRemark" class="widget widget--sidebar widget--red">
        <h4 class="widget__header">Opmerking</h4>
        <div class="widget__content">
          <p>{{ module.administrativeRemark }}</p>
        </div>
      </div>
    </nav>

    <article>
      <section>
        <p>{{ module?.shortDescription }}</p>
        <p *ngIf="module?.longDescription" [innerHTML]="module?.longDescription"></p>
      </section>

      <section>
        <h3>Leerdoelen</h3>
        <p *ngIf="!module?.objectives || module?.objectives?.length === 0">
          Er zijn nog geen leerdoelen ingevoerd.
        </p>
        <p *ngFor="let objective of module?.objectives">{{ objective.name }}</p>
      </section>
    </article>

    <aside>
      <inzicht-module-info [module]="module"></inzicht-module-info>
      <!-- <inzicht-entity-detail [entity]="module"></inzicht-entity-detail> -->
    </aside>

    <footer>
      <h3>Informatie</h3>
      <p>Laatst gewijzigd op {{ module?.createdAt | date: 'medium' }}</p>
    </footer>
  </div>
</main>
